=== debian/changelog ===
ros-galactic-moveit-ros-planning (2.3.4-1focal) focal; urgency=high

  * Fix race condition in SynchronizedStringParameter::waitForMessage (#1050 <https://github.com/ros-planning/moveit2/issues/1050>) (#1062 <https://github.com/ros-planning/moveit2/issues/1062>)
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>) (#1023 <https://github.com/ros-planning/moveit2/issues/1023>)
  * Contributors: Tyler Weaver, Cory Crean, Tyler Weaver, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.2-1focal) focal; urgency=high

  * Add ros_testsing to moveit_ros_planning for rdf_loader (#943 <https://github.com/ros-planning/moveit2/issues/943>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.1-1focal) focal; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Latched Strings for URDF and SRDF (#765 <https://github.com/ros-planning/moveit2/issues/765>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Make controller management logic more tolerant of missing or late ros2_control nodes (#792 <https://github.com/ros-planning/moveit2/issues/792>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Tests for TrajectoryMonitor using dependency injection (#570 <https://github.com/ros-planning/moveit2/issues/570>)
  * Update controller_manager_plugin to fix MoveIt-managed controller switching (#785 <https://github.com/ros-planning/moveit2/issues/785>)
  * MoveitCpp - path constraints added from PlanningComponent (backport #752 <https://github.com/ros-planning/moveit2/issues/752>) (#781 <https://github.com/ros-planning/moveit2/issues/781>)
  * Split CollisionPluginLoader (#2834 <https://github.com/ros-planning/moveit/issues/2834>)
  * Bugfix in RDFLoader (#2806 <https://github.com/ros-planning/moveit/issues/2806>)
  * Fix obvious typo (#2787 <https://github.com/ros-planning/moveit/issues/2787>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Abishalini Sivaraman, Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Joseph Schornak, Kaustubh, Mathias Lüdtke, Michael Görner, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, pvanlaar, werner291

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-planning (2.3.0-1focal) focal; urgency=high

  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
  * kinematics_plugin_loader: Revert accidental change in logging level (#692 <https://github.com/ros-planning/moveit2/issues/692>)
  * Add Ruckig trajectory_processing plugin (jerk-limited) (#571 <https://github.com/ros-planning/moveit2/issues/571>)
  * PlanningSceneMonitor: Fix warning about having two publisher with the same node (#662 <https://github.com/ros-planning/moveit2/issues/662>)
  * Port moveit ros control interface to ROS2 (#545 <https://github.com/ros-planning/moveit2/issues/545>)
  * OccupancyMapMonitor tests using Dependency Injection (#569 <https://github.com/ros-planning/moveit2/issues/569>)
  * Fix reversed check (#623 <https://github.com/ros-planning/moveit2/issues/623>)
  * follow_joint_trajectory_controller_handle: publish new multi_dof_trajectory field (#492 <https://github.com/ros-planning/moveit2/issues/492>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Create a transform subscribers to enable virtual joints (#310 <https://github.com/ros-planning/moveit2/issues/310>)
  * Minor documentation and cleanup of TOTG plugin (#584 <https://github.com/ros-planning/moveit2/issues/584>)
  * Wait for complete state duration fix (#590 <https://github.com/ros-planning/moveit2/issues/590>)
  * Fix some format strings (#587 <https://github.com/ros-planning/moveit2/issues/587>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Tests for CurrentStateMonitor using dependency injection (#562 <https://github.com/ros-planning/moveit2/issues/562>)
  * Fix joint's position limits loading (#553 <https://github.com/ros-planning/moveit2/issues/553>)
  * Refactors for OccMapTree in PlanningScene (#2684 <https://github.com/ros-planning/moveit2/issues/2684>)
  * Move OccMapTree to moveit_core/collision_detection
  * Contributors: Akash, AndyZe, Bjar Ne, Henning Kayser, Jafar Abdi, Nathan Brooks, Simon Schmeisser, Tyler Weaver, Vatan Aksoy Tezer, Wyatt Rees, Jack, Dave Coleman,  Joe Schornak, Nisala Kalupahana, Lior Lustgarten, Jorge Nicho

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-galactic-moveit-ros-planning (2.2.1-1focal) focal; urgency=high

  * Fix unwanted override of URDF joint limit defaults (#546 <https://github.com/ros-planning/moveit2/issues/546>)
  * Contributors: Jafar Abdi


