=== debian/control ===
Source: ros-galactic-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-cmake-gtest, ros-galactic-ament-index-cpp, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-eigen3-cmake-module, ros-galactic-message-filters, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-ros-occupancy-map-monitor, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-ros-testing, ros-galactic-srdfdom, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-msgs, ros-galactic-tf2-ros, ros-galactic-urdf, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-galactic-ament-index-cpp, ros-galactic-eigen3-cmake-module, ros-galactic-message-filters, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-occupancy-map-monitor, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-srdfdom, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-msgs, ros-galactic-tf2-ros, ros-galactic-urdf, ros-galactic-ros-workspace
Conflicts: ros-galactic-moveit-ros-planning-interface (<< 2.1.5)
Replaces: ros-galactic-moveit-ros-planning-interface (<< 2.1.5)
Description: Planning components of MoveIt that use ROS
